$(document).ready(function(){
	var tbRealName=$("#tbRealName");
	var tbEmail=$("#tbEmail");
	var tbTel=$("#tbTel");
	var tbCelPhone=$("#tbCelPhone");
	var tbAddress=$("#tbAddress");
	var btnOk=$("#btnOk");	
	///////////////////////////////////////
	tbRealName.keyup(function(){
		var tbRealNameVal=tbRealName.val();
		if(tbRealNameVal!="")
		{
			tbRealName.removeClass();
			tbRealName.addClass("tskInputBox");	
		}
	});
	
	tbRealName.blur(function(){
		var tbRealNameVal=tbRealName.val();
		tbRealName.data("value",tbRealNameVal);
		if(tbRealNameVal!="")
		{
			if(tbRealNameVal.length>4)
			{
				tbRealName.addClass("tskInputError");
				tbRealName.val("真实姓名输入有误！");				
			}
			else
			{				
				tbRealName.removeClass();
				tbRealName.addClass("tskInputBox");	
			}
		}
		else
		{
			tbRealName.addClass("tskInputError");
			tbRealName.val("真实姓名不能为空！");
		}		
	});
	tbRealName.focus(function(){
		tbRealName.val(tbRealName.data("value"));
	});
	//////////////////////////////////////////////////////
	tbEmail.keyup(function(){
		var tbEmailVal=tbEmail.val();
		if(tbEmailVal!="")
		{
			tbEmail.removeClass();
			tbEmail.addClass("tskInputBox");	
		}
	});
	
	tbEmail.blur(function(){
		var tbEmailVal=tbEmail.val();
		tbEmail.data("value",tbEmailVal);
		if(tbEmailVal!="")
		{
			if(tbEmailVal.indexOf("@")>0 && tbEmailVal.indexOf(".")>0)
			{
				tbEmail.removeClass();
				tbEmail.addClass("tskInputBox");				
			}
			else
			{	
				tbEmail.addClass("tskInputError");
				tbEmail.val("邮箱格式好像不对！");			
			}
		}
		else
		{
			tbEmail.addClass("tskInputError");
			tbEmail.val("邮箱不能为空！");
		}		
	});
	tbEmail.focus(function(){
		tbEmail.val(tbEmail.data("value"));
	});
	
	//////////////////////////////////////////////////////
	tbTel.keyup(function(){
		var tbTelVal=tbTel.val();
		if(tbTelVal!="")
		{
			tbTel.removeClass();
			tbTel.addClass("tskInputBox");	
		}
	});
	
	tbTel.blur(function(){
		var tbTelVal=tbTel.val();
		tbTel.data("value",tbTelVal);
		if(tbTelVal!="")
		{
			if(tbTelVal.indexOf("-")>0)
			{
				tbTel.removeClass();
				tbTel.addClass("tskInputBox");				
			}
			else
			{	
				tbTel.addClass("tskInputError");
				tbTel.val("电话格式好像不对！");			
			}
		}
		else
		{
			tbTel.addClass("tskInputError");
			tbTel.val("电话不能为空！");
		}		
	});
	tbTel.focus(function(){
		tbTel.val(tbTel.data("value"));
	});
	//////////////////////////////////////////////////////
	tbCelPhone.keyup(function(){
		var tbCelPhoneVal=tbCelPhone.val();
		if(tbCelPhoneVal!="")
		{
			tbCelPhone.removeClass();
			tbCelPhone.addClass("tskInputBox");	
		}
	});
	
	tbCelPhone.blur(function(){
		var tbCelPhoneVal=tbCelPhone.val();
		tbCelPhone.data("value",tbCelPhoneVal);
		if(tbCelPhoneVal!="")
		{
			if(tbCelPhoneVal.length<12 && tbCelPhoneVal.length>10)
			{
				tbCelPhone.removeClass();
				tbCelPhone.addClass("tskInputBox");				
			}
			else
			{	
				tbCelPhone.addClass("tskInputError");
				tbCelPhone.val("手机号码好像不对！");			
			}
		}
		else
		{
			tbCelPhone.addClass("tskInputError");
			tbCelPhone.val("手机号码不能为空！");
		}		
	});
	
	tbCelPhone.focus(function(){
		tbCelPhone.val(tbCelPhone.data("value"));
	});
	
	//////////////////////////////////////////////////////
	tbAddress.keyup(function(){
		var tbAddressVal=tbAddress.val();
		if(tbAddressVal!="")
		{
			tbAddress.removeClass();
			tbAddress.addClass("tskInputBox");	
		}
	});
	
	tbAddress.blur(function(){
		var tbAddressVal=tbAddress.val();
		tbAddress.data("value",tbAddressVal);
		if(tbAddressVal!="")
		{
			if(tbAddressVal.length>6)
			{
				tbAddress.removeClass();
				tbAddress.addClass("tskInputBox");				
			}
			else
			{	
				tbAddress.addClass("tskInputError");
				tbAddress.val("地址不详细");			
			}
		}
		else
		{
			tbAddress.addClass("tskInputError");
			tbAddress.val("地址不能为空！");
		}		
	});
	
	tbAddress.focus(function(){
		tbAddress.val(tbAddress.data("value"));
	});
	
	
	
	
	//////++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
	btnOk.click(function(){
		var tbRealNameVal=tbRealName.val();
		tbRealName.data("value",tbRealNameVal);
		if(tbRealNameVal=="")
		{
			tbRealName.addClass("tskInputError");
			tbRealName.val("真实姓名不能为空！");
			return false;
		}
		else
		{
			if(tbRealNameVal.length>4)
			{
				tbRealName.addClass("tskInputError");
				tbRealName.val("真实姓名输入有误！");
				return false;				
			}
		}
		//////------------------------------------------------------
		var tbEmailVal=tbEmail.val();
		tbEmail.data("value",tbEmailVal);
		if(tbEmailVal!="")
		{
			if(tbEmailVal.indexOf("@")<1 || tbEmailVal.indexOf(".")<1)
			{				
				tbEmail.addClass("tskInputError");
				tbEmail.val("邮箱格式好像不对！");	
				return false;						
			}
		}
		else
		{
			tbEmail.addClass("tskInputError");
			tbEmail.val("邮箱不能为空！");
			return false;				
		}
		//////------------------------------------------------------
		var tbTelVal=tbTel.val();
		tbTel.data("value",tbTelVal);	
		if(tbTelVal!="")
		{
			if(tbTelVal.indexOf("-")<1)
			{				
				tbTel.addClass("tskInputError");
				tbTel.val("电话格式好像不对！");	
				return false;						
			}
		}
		else
		{
			tbTel.addClass("tskInputError");
			tbTel.val("电话不能为空！");
			return false;				
		}
		///----------------------------------------------------
		var tbCelPhoneVal=tbCelPhone.val();
		tbCelPhone.data("value",tbCelPhoneVal);
		if(tbCelPhoneVal!="")
		{
			if(tbCelPhoneVal.length>12 || tbCelPhoneVal.length<10)
			{				
				tbCelPhone.addClass("tskInputError");
				tbCelPhone.val("手机号码好像不对！");	
				return false;						
			}
		}
		else
		{
			tbCelPhone.addClass("tskInputError");
			tbCelPhone.val("手机号码不能为空！");
			return false;				
		}
		///-----------------------------------------------------------
		var tbAddressVal=tbAddress.val();
		tbAddress.data("value",tbAddressVal);
		if(tbAddressVal!="")
		{
			if(tbAddressVal.length<6)
			{				
				tbAddress.addClass("tskInputError");
				tbAddress.val("地址不详细");	
				return false;						
			}
		}
		else
		{
			tbAddress.addClass("tskInputError");
			tbAddress.val("地址不能为空！");
			return false;				
		}
	});	
});
